<?php

$detect = new Mobile_Detect;
//If this isn't a mobile device add these actions
if (!$detect->isMobile()) {
	add_action('wp_enqueue_scripts','dc_ln_add_scripts');
	add_action('wp_head','dc_ln_wp_head');
}

//enqueue script to the front end -> wp_enqueue_scripts
function dc_ln_add_scripts(){
		
	//css
	wp_register_style('dc_ln_front_style', WP_PLUGIN_URL.'/live-news/css/front-style.css');
	wp_enqueue_style('dc_ln_front_style');	
	
	//javascript
	wp_enqueue_script('jquery');
	wp_enqueue_script('dc_rpr_general',WP_PLUGIN_URL.'/live-news/js/general.js');

	
}

//writing in frontend head - hook -> wp_head
function dc_ln_wp_head()
{

	//set the plugin url variable in javascript
	echo '<script type="text/javascript">';
	echo 'var dc_ln_plugin_url = "' . WP_PLUGIN_URL . '/live-news/";';
	echo '</script>'."\n";

	//set the sliding speed in a javascript variable
	$dc_ln_sliding_speed = intval( ( 50 / intval( get_option("dc_ln_sliding_speed"), 10 ) ), 10 );
	echo '<script type="text/javascript">';
	echo 'var dc_ln_sliding_speed = ' . $dc_ln_sliding_speed . ';';
	echo '</script>'."\n";

	//set the rtl layout option in a javscript variable
	echo '<script type="text/javascript">';
	echo 'var dc_ln_rtl_layout = ' . intval( get_option('dc_ln_rtl_layout'), 10 ) . ';';
	echo '</script>'."\n";

	//If the live_news_status cookie exists set the gallery status based on this cookie
	if( isset( $_COOKIE['live_news_status'] ) ){
		
		if( $_COOKIE['live_news_status'] == "open" ){
			$dc_ln_current_status = "open";
		}else{
			$dc_ln_current_status = "closed";
		}
				
	}else{
		//If the live_news_status cookie doesn't exist set the gallery status based on the plugin option
		if( get_option('dc_ln_default_status') == "open" ){
			$dc_ln_current_status = "open";
		}else{
			$dc_ln_current_status = "closed";
		}
		
	}

	//set the live news css to match the current status ( open or closed )
	echo '<style type="text/css">';
	
	if( $dc_ln_current_status == "open" ){

		echo "#dc-ln-container{ display: block; }";
		echo "#dc-ln-open{ display: none; }";

	}else{

		echo "#dc-ln-container{ display: none; }";
		echo "#dc-ln-open{ display: block; }";

	}
	echo '</style>';

	//embed google fonts if selected
	if( strlen( get_option("dc_ln_google_fonts") ) > 0 ){
		echo "<link href='" . get_option("dc_ln_google_fonts") ."' rel='stylesheet' type='text/css'>";
	}

	//set the font family based on the plugin option
	echo '<style type="text/css">';
	echo '#dc-ln-featured-title, #dc-ln-featured-title a,#dc-ln-featured-excerpt, #dc-ln-featured-excerpt a, #dc-ln-clock, #dc-ln-close, .dc-ln-slider-single-news, .dc-ln-slider-single-news a{ font-family: ' . stripslashes( get_option("dc_ln_font_family") ) . ' !important }';
	echo '</style>';

	//set the main color based on the plugin options
	echo '<style type="text/css">';
	echo "#dc-ln-featured-container{ background: #" . get_option("dc_ln_main_color") . "; }";
	echo '</style>';

	//set the featured title font size and the featured excerpt font size
	echo '<style type="text/css">';
	echo "#dc-ln-featured-title{ font-size: " . intval( get_option("dc_ln_featured_title_font_size"), 10) . "px; }";
	echo "#dc-ln-featured-excerpt{ font-size: " . intval( get_option("dc_ln_featured_excerpt_font_size"), 10) . "px; }";
	echo '</style>';

	//hide the featured news if this options is set in the plugin option
	if( get_option('dc_ln_hide_featured') == "1" ){
		echo '<style type="text/css">';
		echo "#dc-ln-container{ min-height: 40px; }";
		echo "#dc-ln-featured-container{ display: none; }";
		echo "#dc-ln-close{ display: none; }";
		echo '</style>';		
	}

	//hide the clock if this options is set in the plugin option
	if( get_option('dc_ln_hide_clock') == "1" ){
		echo '<style type="text/css">';
		echo "#dc-ln-clock{ display: none; }";
		echo '</style>';		
	}

	//set news css for the rtl layout
	if( get_option('dc_ln_rtl_layout') == "1" ){
		echo '<style type="text/css">';
		echo "#dc-ln-featured-title-container, #dc-ln-featured-title, #dc-ln-featured-title a{ text-align: right !important; direction: rtl !important; unicode-bidi: embed !important; }";
		echo "#dc-ln-featured-excerpt-container, #dc-ln-featured-excerpt a{ text-align: right !important; direction: rtl !important; unicode-bidi: embed !important; }";
		echo "#dc-ln-slider, #dc-ln-slider-floating-content, .dc-ln-slider-single-news{ text-align: right !important; direction: rtl !important; unicode-bidi: embed !important; }";
		echo '</style>';		
	}
	
}

add_action( 'admin_enqueue_scripts', 'dc_ln_admin_add_scripts' );	

function dc_ln_admin_add_scripts(){
		
	//load color picker
	wp_enqueue_script('dc_ln_color_picker',WP_PLUGIN_URL.'/live-news/js/jscolor/jscolor.js');
	
}

?>
