<?php

//menu options
function dc_ln_sliding_news() {
	
	if ( !current_user_can( 'manage_options' ) )  {
		wp_die( __( 'You do not have sufficient permissions to access this page.' ) );
	}
	
	?>
		
	<!-- process data *************************************************************************** -->
	
	<?php
	
	//save a new slidinge News
	if( isset($_POST['news_title']) ){

		if( ( strlen($_POST['news_title']) > 1 ) ){
			
			//save the new sliding News into the database
			global $wpdb;
			$table_name = $wpdb->prefix."dc_ln_sliding_news";
			$news_title = $_POST['news_title'];
			$url = $_POST['url'];
			$safe_sql = $wpdb->prepare("INSERT INTO $table_name SET news_title = %s , url = %s ", $news_title, $url);
			$wpdb->query( $safe_sql );
		
		}
	
	}

	//delete a sliding News
	
	if( isset( $_GET['delete_id']) ){
		
		global $wpdb;
		$delete_id = $_GET['delete_id'];
		$table_name = $wpdb->prefix."dc_ln_sliding_news";
		$safe_sql = $wpdb->prepare("DELETE FROM $table_name WHERE id = %d ", $delete_id);
		$wpdb->query($safe_sql);		
			
	}
	
	?>
	
	<!-- output ******************************************************************************* -->

	<div class="wrap">

		<?php screen_icon( 'options-general' ); ?>
		<h2>Sliding News</h2>

		<form method="POST" action="" id="dc-ln-options-form" >
			
		<table class="form-table">
		
			<!-- News Title input -->
			<tr valign="top">					
				<th scope="row"><label for="news_title">News Title</label></th>
				<td><input id="news_title" maxlength="100" size="100" name="news_title" /></td>
			</tr>

			<!-- Url input -->
			<tr valign="top">					
				<th scope="row"><label for="url">Url</label></th>
				<td><input id="url" maxlength="1000" size="200" name="url" /></td>
			</tr>
			
			<!-- submit button -->
			<tr valign="top">
				<td>
					<input class="button-primary" type="submit" name="submit" value="Submit" >
				</td>
			</tr>
		
		</table>

		<?php

		//retrieve the total number of sliding news
		global $wpdb;
		$table_name=$wpdb->prefix."dc_ln_sliding_news";
		$total_items = $wpdb->get_var( "SELECT COUNT(*) FROM $table_name" );

		//Initialize the pagination class
		$pag = new dc_ln_pagination();
		$pag->set_total_items( $total_items );//Set the total number of items
		$pag->set_record_per_page( 10 ); //Set records per page
		$pag->set_target_page( "admin.php?page=dc_ln_sliding_news" );//Set target page
		$pag->set_current_page();//set the current page number from $_GET
		
		?>
		
		<!-- Query the database -->
		<?php
		$dc_wp_query_limit = $pag->query_limit();
		$results = $wpdb->get_results("SELECT * FROM $table_name ORDER BY id DESC $dc_wp_query_limit ", ARRAY_A); ?>
		
		<?php if( count($results) > 0 ) : ?>
			
			<!-- Display the pagination -->
			
            <div class="tablenav">
                <div class="tablenav-pages">
                    <span class="displaying-num"><?php echo $pag->total_items; ?> items</span>
                    <?php $pag->show(); ?>
                </div>
            </div>
            		
			<!-- list of sliding news -->
			<table class="widefat">
				<thead>
					<tr>
						<th>ID</th>
						<th>News Title</th>
						<th>Url</th>
						<th>Delete</th>
					</tr>
				</thead>
				<tfoot>
					<tr>
						<th>ID</th>
						<th>News Title</th>
						<th>Url</th>
						<th>Delete</th>
					</tr>
				</tfoot>
				<tbody>
				
				<?php foreach($results as $result) : ?>
					<tr>
						<td><?php echo $result['id']; ?></td>
						<td><?php echo esc_attr( stripslashes( $result['news_title'] ) ); ?></td>
						<td><?php echo esc_attr( stripslashes( $result['url'] ) ); ?></td>
						<td><?php echo '<a href="admin.php?page=dc_ln_sliding_news&delete_id='. $result['id'] .'" >Delete</a>'; ?></td>
					</tr>
				<?php endforeach; ?>

				</tbody>
			</table>

		<?php endif; ?>

		
		</form>
		
	</div>

	<?php

}

?>
